import { BlendFunction, TiltShiftEffect } from 'postprocessing';
import { NgtpEffect } from '../effect';
import * as i0 from "@angular/core";
import * as i1 from "../effect";
export type TiltShiftEffectOptions = Partial<NonNullable<ConstructorParameters<typeof TiltShiftEffect>[0]>>;
export declare class NgtpTiltShift {
    options: import("@angular/core").InputSignal<Omit<Partial<{
        blendFunction?: BlendFunction;
        offset?: number;
        rotation?: number;
        focusArea?: number;
        feather?: number;
        bias?: number;
        kernelSize?: import("postprocessing").KernelSize;
        resolutionScale?: number;
        resolutionX?: number;
        resolutionY?: number;
    }>, "blendFunction">>;
    protected effect: NgtpEffect;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpTiltShift, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpTiltShift, "ngtp-tilt-shift", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, [{ directive: typeof i1.NgtpEffect; inputs: { "blendFunction": "blendFunction"; "opacity": "opacity"; }; outputs: {}; }]>;
}
