import { ElementRef } from '@angular/core';
import { GodRaysEffect } from 'postprocessing';
import * as THREE from 'three';
import * as i0 from "@angular/core";
export declare class NgtpGodRays {
    options: import("@angular/core").InputSignal<{
        blendFunction?: import("postprocessing").BlendFunction;
        samples?: number;
        density?: number;
        decay?: number;
        weight?: number;
        exposure?: number;
        clampMax?: number;
        resolutionScale?: number;
        resolutionX?: number;
        resolutionY?: number;
        width?: number;
        height?: number;
        kernelSize?: import("postprocessing").KernelSize;
        blur?: boolean;
    } & {
        sun: THREE.Mesh | THREE.Points | ElementRef<THREE.Mesh | THREE.Points> | (() => THREE.Mesh | THREE.Points | ElementRef<THREE.Mesh | THREE.Points> | undefined);
    }>;
    private effectComposer;
    private effectOptions;
    private sun;
    private sunElement;
    protected effect: import("@angular/core").Signal<GodRaysEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpGodRays, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpGodRays, "ngtp-god-rays", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
