import { ElementRef } from '@angular/core';
import { OutlineEffect } from 'postprocessing';
import * as THREE from 'three';
import * as i0 from "@angular/core";
export type NgtpOutlineOptions = ConstructorParameters<typeof OutlineEffect>[2] & {
    selection?: Array<THREE.Object3D | ElementRef<THREE.Object3D>>;
    selectionLayer: number;
};
export declare class NgtpOutline {
    options: import("@angular/core").InputSignalWithTransform<{
        blendFunction?: import("postprocessing").BlendFunction;
        patternTexture?: THREE.Texture;
        patternScale?: number;
        edgeStrength?: number;
        pulseSpeed?: number;
        visibleEdgeColor?: number;
        hiddenEdgeColor?: number;
        multisampling?: number;
        resolutionScale?: number;
        resolutionX?: number;
        resolutionY?: number;
        width?: number;
        height?: number;
        kernelSize?: import("postprocessing").KernelSize;
        blur?: boolean;
        xRay?: boolean;
    } & {
        selection?: Array<THREE.Object3D | ElementRef<THREE.Object3D>>;
        selectionLayer: number;
    }, "" | Partial<{
        blendFunction?: import("postprocessing").BlendFunction;
        patternTexture?: THREE.Texture;
        patternScale?: number;
        edgeStrength?: number;
        pulseSpeed?: number;
        visibleEdgeColor?: number;
        hiddenEdgeColor?: number;
        multisampling?: number;
        resolutionScale?: number;
        resolutionX?: number;
        resolutionY?: number;
        width?: number;
        height?: number;
        kernelSize?: import("postprocessing").KernelSize;
        blur?: boolean;
        xRay?: boolean;
    } & {
        selection?: Array<THREE.Object3D | ElementRef<THREE.Object3D>>;
        selectionLayer: number;
    }>>;
    private ngtSelection;
    private effectComposer;
    private store;
    private selection;
    private selectionLayer;
    private blendFunction;
    private patternTexture;
    private edgeStrength;
    private pulseSpeed;
    private visibleEdgeColor;
    private hiddenEdgeColor;
    private width;
    private height;
    private kernelSize;
    private blur;
    private xRay;
    private restOptions;
    effect: import("@angular/core").Signal<OutlineEffect>;
    constructor();
    private handleSelectionChangeEffect;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpOutline, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpOutline, "ngtp-outline", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
